aboutsummaryrefslogtreecommitdiffstats
path: root/community/gst-editing-services/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/gst-editing-services/APKBUILD')
-rw-r--r--community/gst-editing-services/APKBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/community/gst-editing-services/APKBUILD b/community/gst-editing-services/APKBUILD
index 72e64a7c2d..1dfe36d8bf 100644
--- a/community/gst-editing-services/APKBUILD
+++ b/community/gst-editing-services/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Rasmus Thomsen <oss@cogitri.dev>
# Maintainer: Rasmus Thomsen <oss@cogitri.dev>
pkgname=gst-editing-services
-pkgver=1.18.5
+pkgver=1.20.3
pkgrel=0
pkgdesc="GStreamer Editing Services Library"
url="https://gstreamer.freedesktop.org"
@@ -16,7 +16,9 @@ source="https://gstreamer.freedesktop.org/src/gst-editing-services/gst-editing-s
options="!check" # https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/issues/125
build() {
- abuild-meson . output
+ abuild-meson \
+ -Dtests="$(want_check && echo enabled || echo disabled)" \
+ . output
meson compile ${JOBS:+-j ${JOBS}} -C output
}
@@ -29,5 +31,5 @@ package() {
}
sha512sums="
-b2107f2c5f1934721dd029c818f09f62a458ddfb0111060afd0fbbd2e8df9814218750ceff800aedac9878d4c5ae0f3f9fc08b8f8e82cadd1aa14b436737dcad gst-editing-services-1.18.5.tar.xz
+380cea0abda043a5aaee11981c85a03e59f4a5ac9221342c09d1875477dc327210ad0705e537538a981bef4de99b1aa7ac92fb37c77fc60b44219d673f97f56f gst-editing-services-1.20.3.tar.xz
"